import React from 'react';
import FooterContainer from './containers/FooterContainer';
import HeaderContainer from './containers/HeaderContainer';
import NavigationContainer from './containers/NavigationContainer';
// import NotificationContainer from './containers/NotificationContainer';
import PaneContainer from './containers/PaneContainer';
import RouteContainer from './containers/RouteContainer';

import './App.css';

class App extends React.Component {
  render() {
    return (
      <div className="App">
        <HeaderContainer />
        <div className="app-content-wrapper">
          <NavigationContainer />
          <RouteContainer />
          <PaneContainer />
        </div>
        <FooterContainer />
      </div>
    );
  }
}

export default App;
