import React from 'react';
import NavBarButton from './buttons/NavBarButton';

import './NavBar.css';

export default class NavBar extends React.Component {
  render() {
    return (
      <div className="NavBar">
        <NavBarButton
          icon="list"
          isEnabled={this.props.mode === 0}
          onClick={() => this.props.handleSetMode(0)}
        />
        <NavBarButton
          icon="history"
          isEnabled={this.props.mode === 1}
          onClick={() => this.props.handleSetMode(1)}
        />
        <NavBarButton
          icon="search"
          isEnabled={this.props.mode === 2}
          onClick={() => this.props.handleSetMode(2)}
        />
        <NavBarButton
          icon="binoculars"
          isEnabled={this.props.mode === 3}
          isHighlighted={true}
          onClick={() => this.props.handleSetMode(3)}
        />
        <NavBarButton
          icon="save"
          isEnabled={this.props.mode === 4}
          isHighlighted={true}
          onClick={() => this.props.handleSetMode(4)}
        />
      </div>
    );
  }
}
