import React from 'react';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';

import './NavBarButton.css';

export default class NavBarButton extends React.Component {
  render() {
    const style = this.props.isEnabled ? { opacity: 1.0 } : {};
    if (this.props.isHighlighted) {
      style.background = 'red';
    }
    return (
      <div
        className="NavBarButton"
        style={style}
        onClick={this.props.onClick}
      >
        <FontAwesomeIcon icon={this.props.icon} />
      </div>
    );
  }
}
