import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';
import * as serviceWorker from './serviceWorker';
import { library } from '@fortawesome/fontawesome-svg-core';
import { faSearch, faHistory, faList, faStar, faSave, faTicketAlt, faTimesCircle, faUndo, faLock, faNetworkWired, faSmile, faCode, faTrash, faEdit, faHome, faCog, faBinoculars, faCaretRight, faCaretDown, faInfo } from '@fortawesome/free-solid-svg-icons';

// Add icons here.
library.add(faSearch);
library.add(faHistory);
library.add(faList);
library.add(faStar);
library.add(faSave);
library.add(faTicketAlt);
library.add(faTimesCircle);
library.add(faUndo);
library.add(faLock);
library.add(faNetworkWired);
library.add(faSmile);
library.add(faCode);
library.add(faTrash);
library.add(faEdit);
library.add(faHome);
library.add(faCog);
library.add(faBinoculars);
library.add(faCaretRight);
library.add(faCaretDown);
library.add(faInfo);


ReactDOM.render(<App />, document.getElementById('root'));

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: http://bit.ly/CRA-PWA
serviceWorker.unregister();
